MOUNT_VND(8)

NAME
mount_vnd - mount vnode disks

SYNOPSIS
mount_vnd [-k] [-K rounds] [-o options] [-S saltfile] [-t disktype] image vnd_dev

DESCRIPTION
mount_vnd works similarly to vnconfig(8), but it provides an interface that can be used by the fstab(5) infrastructure, so that an image file can be configured to a device vnd_dev while booting.

For fstab(5) lines with type “ffs”, the “noauto” option must be set to prevent a mount(8) of the FFS partitions before the necessary vnd devices are configured. Also, the “fs_passno” field has to be set to 0 to prevent fsck(8) from checking the file system for the same reasons.

mount_vnd is invoked by mount(8) when using the following syntax:

mount [options] -t vnd image vnd_dev

The options are as follows:

-K rounds
    Associate an encryption key with the device. All data will be encrypted using the Blowfish cipher before it is written to the disk. The user is asked for both a passphrase and the name of a salt file. The salt file can also be specified on the command line using the -S option. The passphrase and salt are combined according to PKCS #5 PBKDF2 for the specified number of rounds to generate the actual key used. rounds is a number between 1000 and INT_MAX. DO NOT LOSE THE SALT FILE.

-k  Associate an encryption key with the device. All data will be encrypted using the Blowfish cipher before it is written to the disk.

-o options
    Options are specified with a -o flag followed by a comma separated string of options. See the mount(8) man page for possible options and their meanings.

    At the moment, -o is only here for compatibility reasons, but no use is made of supplied options.

-S saltfile
    When -K is used, specify the saltfile.

-t disktype
    Specify a disktype entry from the disktab(5) database. The vnd_dev will have the sector size, sectors per track, and tracks per cylinder values of the specified disktype. The defaults are 512-byte sectors, 100 sectors per track and 1 track per cylinder.

FILES
/dev/{,r}vnd*

EXAMPLES
An example fstab(5) entry is:

    /tmp/cryptimg /dev/vnd0c vnd rw,noauto,-k       0 0
    /dev/vnd0a   /mnt        ffs rw,noauto          0 0

Mounting images during the first pass of fsck(8) and mount(8) is not possible, because the image to be configured to a vnd itself resides on a file system that first has to be checked and mounted.

SEE ALSO
vnd(4), disktab(5), fstab(5), mount(8), swapon(8), umount(8)

HISTORY
The mount_vnd command first appeared in OpenBSD 4.2.